Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 540176 - dev-ruby/test-unit-3.0.9-r1 - /usr/bin/yard:9:in `load': cannot load such file -- /usr/lib64/ruby/gems/2.2.0/gems/yard-0.8.7.6/bin/yard (LoadError)
Summary: dev-ruby/test-unit-3.0.9-r1 - /usr/bin/yard:9:in `load': cannot load such fil...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-15 19:01 UTC by Juergen Rose
Modified: 2015-06-11 08:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,3.10 KB, text/plain)
2015-02-15 19:01 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2015-02-15 19:01:07 UTC
Created attachment 396532 [details]
build.log

'emerge test-unit' fails with:
...
>>> Compiling source in /var/tmp/portage/dev-ruby/test-unit-3.0.9-r1/work ...
 * Running compile phase for all ...
/usr/bin/yard:9:in `load': cannot load such file -- /usr/lib64/ruby/gems/2.2.0/gems/yard-0.8.7.6/bin/yard (LoadError)
        from /usr/bin/yard:9:in `<main>'
 * ERROR: dev-ruby/test-unit-3.0.9-r1::gentoo failed (compile phase):
 *   (no error message)





root@lynx:/root(13)# emerge --info '=dev-ruby/test-unit-3.0.9-r1::gentoo'
Portage 2.2.17 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.2, glibc-2.20-r1, 3.19.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.19.0-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9500_@_2.60GHz-with-gentoo-2.2
KiB Mem:     8100304 total,   1994688 free
KiB Swap:   12582908 total,  12533232 free
Timestamp of repository gentoo: Sun, 15 Feb 2015 14:00:01 +0000
sh bash 4.3_p33-r1
ld GNU ld (Gentoo 2.25 p1.0) 2.25
distcc[26235] (dcc_trace_version) distcc 3.2rc1 x86_64-pc-linux-gnu; built Jan  2 2015 07:30:34 [disabled]
app-shells/bash:          4.3_p33-r1::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.3.5-r1::gentoo, 3.4.2::gentoo
dev-util/cmake:           3.1.0::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.9::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.12.6::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25::gentoo
sys-devel/gcc:            4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.5::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r1::gentoo
Repositories:

gentoo
    location: /usr/portage_lynx
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    masters: gentoo
    priority: 0

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 1

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 2

x11
    location: /var/lib/layman/x11
    masters: gentoo
    priority: 3

ago
    location: /var/lib/layman/ago
    masters: gentoo
    priority: 4

tlp
    location: /var/lib/layman/tlp
    masters: gentoo
    priority: 5

local
    location: /usr/local/portage
    masters: gentoo
    priority: 6

g-cpan
    location: /var/lib/cpan
    masters: gentoo
    priority: 7

g-octave
    location: /var/lib/g-octave
    masters: gentoo
    priority: 8

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-11.x cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA NVIDIA-CUDA Nero-AAC-EULA GIMPS"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo ftp://ftp.easynet.nl/mirror/gentoo/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 ao apache2 apng applet archive armadillo arpack asf aspell atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli cmake consolekit cracklib crypt css cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras faac faad fam ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpm fpx fuse g3dvl garmin gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp git glade glamor glib glpk gml gmp gnome gnome-keyring gnome-print gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gsm gstreamer gtk gtk3 gudev guile hdaps hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3tag ide imagemagick imap inotify introspection ipod ipv6 irda ithreads jabber jadetex java java6 jbig jit john jpeg jpeg2k kate kde kdepim kdrive kerberos keymap kpathsea kvm ladspa lame lapack laptop latex lcms ldap lensfun libffi libkms libnotify libsamplerate lirc live lua lzma lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mkl mmx mmxext mng mod modules mono motif mozilla mp3 mp4 mpeg mpi mplayer mtp multilib multimedia musepack musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking nfs nls nntp nptl nsplugin ntfs ntp numpy obex objc ocaml ocr octave odbc ofa ogdi ogg openexr opengl openmp openvg pam pango pcre pda pdf pdl2 perl plasma plotutils plugins png podcast policykit portaudio posix postgres postscript ppds preview-latex proj projectm pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime raw readline reiserfs reports rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets sound soup sox speex spell sql sqlite sse sse2 sse4 sse4_1 ssl ssse3 startup-notification stlport subtitles subversion sudo suexec svg svm swig systemd szip t1lib tcl tcpd tex tex4ht texmacs theora thesaurus thinkpad threads thunderbird tidy tiff tk tools truetype udev udisks unicode upower usb utempter v4l vaapi vala valgrind vdpau video virt-network virtualbox visio vorbis vpx vtk wav webdav webdav-serf webkit wifi wmf wxwidgets x264 xa xattr xcb xetex xext xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zvbi" ABI_X86="64" ALSA_CARDS="intel8x0" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog sensors thermal" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3" CURL_SSL="nss" DRACUT_MODULES="caps lvm syslog" DVB_CARDS="usb-wt220u" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev synaptics void" KERNEL="linux" LCD_DEVICES="cfontz hd44780 mtxorb ncurses X lcd2usb lcdlinux png usblcd" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de fr ru" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nouveau displaylink" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON





root@lynx:/root(14)# emerge -pqv '=dev-ruby/test-unit-3.0.9-r1::gentoo'
[ebuild  N    ] dev-ruby/test-unit-3.0.9-r1  USE="doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21"
Comment 1 Juergen Rose 2015-02-18 10:31:44 UTC
BTW., I do not have any /usr/lib64/ruby/gems/2.2.0/gems/yard* subdirectory, although yard-0.8.7.6 is installed:

root@lynx:/root(18)# ll /usr/lib64/ruby/gems/2.2.0/gems/
total 24
drwxr-xr-x 3 root root 4096 Jan 11 09:11 json-1.8.2/
drwxr-xr-x 3 root root 4096 Feb 15 17:04 minitest-5.5.1/
drwxr-xr-x 3 root root 4096 Feb 15 17:04 power_assert-0.2.2/
drwxr-xr-x 4 root root 4096 Dec 29 10:23 racc-1.4.12/
drwxr-xr-x 4 root root 4096 Dec 29 10:22 rake-10.4.2/
drwxr-xr-x 4 root root 4096 Dec 29 10:24 rdoc-4.1.2/
root@lynx:/root(19)# qlist -Iv yard
dev-ruby/yard-0.8.7.6

root@lynx:/root(20)# emerge -pvD ruby yard

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-lang/ruby-2.2.0-r1:2.2::gentoo  USE="berkdb doc examples gdbm ipv6 ncurses rdoc readline ssl -debug -jemalloc -rubytests -socks5 -xemacs" 0 KiB
[ebuild  N     ] dev-ruby/test-unit-3.0.9-r1:2::gentoo  USE="doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 0 KiB
[ebuild   R    ] dev-ruby/yard-0.8.7.6::gentoo  USE="doc {-test}" RUBY_TARGETS="ruby19 ruby20 -ruby21" 0 KiB
Comment 2 Juergen Rose 2015-02-18 10:53:43 UTC
Could it be, that yard does not know ruby_targets_ruby22?
Comment 3 Juergen Rose 2015-02-20 07:58:42 UTC
https://github.com/lsegal/yard/issues/825 seems to be related.
Comment 4 Juergen Rose 2015-02-20 08:13:08 UTC
Switching back to ruby20 ('eselect ruby set ruby20') I was able to install test-unit-3.0.9-r1.
Comment 5 Hans de Graaff gentoo-dev 2015-02-25 18:13:59 UTC
(In reply to Juergen Rose from comment #3)
> https://github.com/lsegal/yard/issues/825 seems to be related.

Related in the sense that this blocks us from adding ruby22 to yard. But the real issue here from a Gentoo perspective is bug 424339 where the eclass let's you try to install a ruby package that lacks the RUBY_TARGET of the currently eselected ruby.
Comment 6 Juergen Rose 2015-05-30 07:38:04 UTC
I hit this issue again. Is there not any patch?
Comment 7 Hans de Graaff gentoo-dev 2015-06-02 05:40:16 UTC
(In reply to Juergen Rose from comment #6)
> I hit this issue again. Is there not any patch?

I'm surprised that you are still seeing this since yard-0.8.7.6 has a ruby22 target. Which version of yard did you have installed when you saw this again?
Comment 8 Juergen Rose 2015-06-02 07:04:24 UTC
(In reply to Hans de Graaff from comment #7)
> (In reply to Juergen Rose from comment #6)
> > I hit this issue again. Is there not any patch?
> 
> I'm surprised that you are still seeing this since yard-0.8.7.6 has a ruby22
> target. Which version of yard did you have installed when you saw this again?

I just checked once more. I have yard-0.8.7.6:

root@caiman:/root(11)# eselect ruby list
Available Ruby profiles:
  [1]   ruby19 (with Rubygems)
  [2]   ruby20 (with Rubygems)
  [3]   ruby22 (with Rubygems) *
root@caiman:/root(12)# emerge -v1 test-unit

These are the packages that would be merged, in order:
Calculating dependencies... done!
[ebuild   R    ] dev-ruby/test-unit-3.1.1:2::gentoo  USE="doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 0 KiB
Total: 1 package (1 reinstall), Size of downloads: 0 KiB
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) dev-ruby/test-unit-3.1.1::gentoo
 * test-unit-3.1.1.gem SHA256 SHA512 WHIRLPOOL size ;-) ...      [ ok ]
>>> Unpacking source...
 * Running unpack phase for all ...
 * Unpacking .gem file... ...                                    [ ok ]
 * Uncompressing metadata ...                                    [ ok ]
 * Unpacking data.tar.gz ...                                     [ ok ]
>>> Source unpacked in /var/tmp/portage/dev-ruby/test-unit-3.1.1/work
>>> Preparing source in /var/tmp/portage/dev-ruby/test-unit-3.1.1/work ...
 * Running prepare phase for all ...
 * Running source copy phase for ruby19 ...
 * Running source copy phase for ruby20 ...
 * Running source copy phase for ruby22 ...
 * Running prepare phase for ruby19 ...
 * Running prepare phase for ruby20 ...
 * Running prepare phase for ruby22 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-ruby/test-unit-3.1.1/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-ruby/test-unit-3.1.1/work ...
 * Running compile phase for all ...
/usr/bin/yard:9:in `load': cannot load such file -- /usr/lib64/ruby/gems/2.2.0/gems/yard-0.8.7.6/bin/yard (LoadError)
        from /usr/bin/yard:9:in `<main>'
 * ERROR: dev-ruby/test-unit-3.1.1::gentoo failed (compile phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_compile
 *   environment, line 4425:  Called ruby-ng_src_compile
 *   environment, line 4116:  Called _ruby_invoke_environment 'all' 'all_ruby_compile'
 *   environment, line  686:  Called all_ruby_compile
 *   environment, line  772:  Called die
 * The specific snippet of code:
 *           yard doc --title ${PN} || die;
 * 
 * If you need support, post the output of `emerge --info '=dev-ruby/test-unit-3.1.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-ruby/test-unit-3.1.1::gentoo'`.
!!! When you file a bug report, please include the following information:
GENTOO_VM=  CLASSPATH="/usr/libexec/ccp4/bin:" JAVA_HOME="/etc/java-config-2/current-system-vm"
JAVACFLAGS="" COMPILER=""
and of course, the output of emerge --info =test-unit-3.1.1
 * The complete build log is located at '/var/tmp/portage/dev-ruby/test-unit-3.1.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-ruby/test-unit-3.1.1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-ruby/test-unit-3.1.1/work/all/test-unit-3.1.1'
 * S: '/var/tmp/portage/dev-ruby/test-unit-3.1.1/work/all/test-unit-3.1.1'

>>> Failed to emerge dev-ruby/test-unit-3.1.1, Log file:

>>>  '/var/tmp/portage/dev-ruby/test-unit-3.1.1/temp/build.log'
root@caiman:/root(13)# qlist -Iv yard
dev-ruby/yard-0.8.7.6
Comment 9 Juergen Rose 2015-06-02 07:09:07 UTC
(In reply to Hans de Graaff from comment #7)
> (In reply to Juergen Rose from comment #6)
> > I hit this issue again. Is there not any patch?
> 
> I'm surprised that you are still seeing this since yard-0.8.7.6 has a ruby22
> target. Which version of yard did you have installed when you saw this again?

Also reinstalling of yard does not help. There is not any /usr/lib64/ruby/gems/2.2.0/gems/yard-* directory after reinstalling of yard:

root@caiman:/root(16)# ll /usr/lib64/ruby/gems/2.2.0/gems/
total 28
drwxr-xr-x 3 root root 4096 Jan 12 01:10 json-1.8.2/
drwxr-xr-x 3 root root 4096 May 10 10:27 minitest-5.6.1/
drwxr-xr-x 3 root root 4096 Mar  7 14:32 power_assert-0.2.3/
drwxr-xr-x 4 root root 4096 Dec 28 13:06 racc-1.4.12/
drwxr-xr-x 4 root root 4096 Dec 28 13:05 rake-10.4.2/
drwxr-xr-x 4 root root 4096 Dec 28 13:07 rdoc-4.1.2/
drwxr-xr-x 3 root root 4096 May 30 09:40 test-unit-3.1.1/
Comment 10 Hans de Graaff gentoo-dev 2015-06-03 05:24:08 UTC
(In reply to Juergen Rose from comment #9)

> Also reinstalling of yard does not help. There is not any
> /usr/lib64/ruby/gems/2.2.0/gems/yard-* directory after reinstalling of yard:

Did you verify that yard's ruby22 target was enabled when reinstalling?
Comment 11 Juergen Rose 2015-06-03 07:33:27 UTC
(In reply to Hans de Graaff from comment #10)
> (In reply to Juergen Rose from comment #9)
> 
> > Also reinstalling of yard does not help. There is not any
> > /usr/lib64/ruby/gems/2.2.0/gems/yard-* directory after reinstalling of yard:
> 
> Did you verify that yard's ruby22 target was enabled when reinstalling?


It was not explicitly enabled. I had only ruby22 eselected and so far as I see I did not set a USE flag -ruby22.

root@caiman:/root(24)# eselect ruby list
Available Ruby profiles:
  [1]   ruby19 (with Rubygems)
  [2]   ruby20 (with Rubygems)
  [3]   ruby22 (with Rubygems) *
root@caiman:/root(25)# grep ruby22 /etc/portage/package.use
>=dev-ruby/json-1.8.1 ruby_targets_ruby22
>=dev-ruby/minitest-5.5.1 ruby_targets_ruby22
>=dev-ruby/power_assert-0.2.3 ruby_targets_ruby22
>=dev-ruby/racc-1.4.10 ruby_targets_ruby22
>=dev-ruby/rake-0.9.6-r1 ruby_targets_ruby22
>=dev-ruby/rdoc-4.0.1-r2 ruby_targets_ruby22
>=dev-ruby/rubygems-2.0.14 ruby_targets_ruby22
>=dev-ruby/test-unit-3.0.9-r1 ruby_targets_ruby22
>=virtual/rubygems-6 ruby_targets_ruby22
root@caiman:/root(26)# emerge -pv1 yard

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-ruby/yard-0.8.7.6::gentoo  USE="doc {-test}" RUBY_TARGETS="ruby19 ruby20 -ruby21 -ruby22" 0 KiB


What I have to do? Set ruby22 or ruby_targets_ruby22 for yard?
Comment 12 Hans de Graaff gentoo-dev 2015-06-07 09:46:38 UTC
(In reply to Juergen Rose from comment #11)

> What I have to do? Set ruby22 or ruby_targets_ruby22 for yard?

It is probably not a good idea to eselect a ruby version that you do not also have selected in RUBY_TARGETS so you might want to match these two.
Comment 13 Hans de Graaff gentoo-dev 2015-06-07 09:50:47 UTC
(In reply to Hans de Graaff from comment #12)

> It is probably not a good idea to eselect a ruby version that you do not
> also have selected in RUBY_TARGETS so you might want to match these two.

I have now filed bug 551432 for this.
Comment 14 Juergen Rose 2015-06-11 08:51:15 UTC
(In reply to Hans de Graaff from comment #12)
> (In reply to Juergen Rose from comment #11)
> 
> > What I have to do? Set ruby22 or ruby_targets_ruby22 for yard?
> 
> It is probably not a good idea to eselect a ruby version that you do not
> also have selected in RUBY_TARGETS so you might want to match these two.

That means, that I should explicitly set RUBY_TARGETS="ruby22" in /etc/make.conf?
I don't have any RUBY_TARGETS in /etc/make.conf. I would expect, that this target is set, if I eselect ruby22.